<template>
  <div class="reward-page">
    <reward />
    <div
      v-if="isHaveData"
      class="w-full px-6 flex flex-col referral-history__table"
    >
      <span
        class="font-bold text-[16px] leading-[19px] fc-text2 referral-history__table-title mb-2"
      >
        {{ $t("history") }}
      </span>
      <div class="overflow-y-auto">
        <div class="custom-table">
          <table>
            <tr>
              <th class="table_header">
                <div class="flex flex-col items-center">
                  <div style="width: 100px">
                    {{ $t("Amount Request/Approved") }}
                  </div>
                </div>
              </th>
              <th class="table_header">
                <div class="flex flex-col items-center">
                  <div style="width: 100px">
                    {{ $t("Date Request/Approved") }}
                  </div>
                </div>
              </th>
              <th class="table_header">
                <div class="flex flex-col items-center">
                  <div>{{ $t("status") }}</div>
                </div>
              </th>
            </tr>
            <tr v-for="item in tableData" :key="item">
              <td class="table_body">
                <div>
                  <span
                    class="font-normal text-xs leading-[14px] text-center bk8-text1"
                  >
                    {{ item.RequestAmountForDisplay }}
                  </span>
                  <span>/</span>
                  <span
                    class="font-normal text-xs leading-[14px] text-center fc-primary bk8-text2"
                  >
                    {{ item.ApprovedAmountForDisplay }}
                  </span>
                </div>
              </td>
              <td class="table_body">
                <div class="flex flex-col items-center gap-[2px] bk8-date">
                  <span class="font-normal text-xs leading-[14px] text-center">
                    {{ item.RequestDateForDisplay }}
                  </span>
                  <span class="font-normal text-xs leading-[14px] text-center">
                    {{ item.ModifiedDateForDisplay }}
                  </span>
                </div>
              </td>
              <td class="table_body">
                <div>
                  <span
                    class="font-normal text-xs leading-[14px] text-center"
                    :class="item.StatusStringColorForDisplay"
                  >
                    {{ item.StatusStringForDisplay }}
                  </span>
                </div>
              </td>
            </tr>
          </table>
        </div>
      </div>
    </div>
    <div v-else>
      <h1 class="font-bold text-[16px] leading-[19px] px-6 mb-2 fc-text2">
        {{ $t("history") }}
      </h1>
      <lazy-utils-not-found />
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import reward from "./reward.vue";

export default defineComponent({
  components: {
    reward,
  },
  setup() {
    const { tableData, isLoading } = useReferralHistory();
    const mediaScreen = window.innerWidth;
    const isHaveData = computed(() => tableData.value.length > 0);

    return {
      tableData,
      isLoading,
      mediaScreen,
      isHaveData,
    };
  },
});
</script>
<style scoped lang="scss">
.custom-table table th:not(:last-child),
.custom-table table td:not(:last-child) {
  border-right: 2px solid rgb(54, 65, 46);
}
.custom-table table tr:last-child td {
  border-bottom: unset;
}
.custom-table {
  border: 2px solid var(--border);
  border-radius: 8px;
  th {
    border-top: unset;
  }
  th:first-child {
    border-left: unset;
  }
  th:last-child {
    border-right: unset;
  }
  td:last-child {
    border-bottom: unset;
  }
}
.table_body {
  // border-right: 2px solid rgb(54, 65, 46);
  border-top: 2px solid rgb(54, 65, 46);
  border-bottom: 2px solid rgb(54, 65, 46);
  padding-top: 4px;
  padding-bottom: 4px;
  text-align: center;
  td:last-child {
    border-left: unset;
  }
}
.table_body tr:first-child th:first-child {
  border-top-left-radius: 8px;
}
.custom-table table {
  width: 100%;
  table-layout: fixed;
}
.table_header {
  padding-left: 12px;
  padding-right: 12px;
  padding-top: 4px;
  padding-bottom: 4px;
  line-height: 23px;
  font-size: 12px;
  color: white;
  font-weight: 500;
  border-right: 2px solid rgb(54, 65, 46);
  border-top: 2px solid rgb(54, 65, 46);
  border-bottom: 2px solid rgb(54, 65, 46);
}
:deep(.el-table__empty-block) {
  border: 2px solid var(--border);
  border-top: unset;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}
.uc-section .referral-history :deep(.el-table) {
  padding-bottom: 65px;
}
.reward-page {
  height: calc(100dvh - 92px);
  overflow: auto;
}
[layout='peru'] {
  .fc-hint {
    color: var(--text5);
  }
  .bk8-text1, .bk8-date {
    color: var(--text);
  }

}
@media screen and (max-width: 400px) {
  .table_header {
    width: 130px;
  }
  .custom-table {
    border: 2px solid var(--border);
    border-radius: 8px;
    width: 400px;
  }
}
</style>
